# Package org.multiverse.commitbarriers

- Class Summary
  Class | Description
  --- | ---
  CommitBarrier | A CommitBarrier is a blocking structure like the `CyclicBarrier` but tailored to work with transactions.
  CountDownCommitBarrier | A synchronization aid that allows a set of threads and transaction to all wait for each other to reach a common barrier point; once this barrier is opened, all transaction atomically commit.
  VetoCommitBarrier | The VetoCommitBarrier is a synchronization primitive that makes it possible to execute a 2 phase commit; so all transaction within a VetoCommitBarrier commit, or they all abort.

- Exception Summary
  Exception | Description
  --- | ---
  CommitBarrierOpenException | An IllegalStateException that indicates that an operation was executed on the CommitBarrier while it already is opened.